# Type Alias WithExtensions<T, K>

WithExtensions: K extends []
? T & { _extend?: Pick<z.infer<typeof extendSchema>, K[number]> }
: T & { _extend: Pick<z.infer<typeof extendSchema>, K[number]> }

T : Base object K : Extension keys -> will include properties

#### Type Parameters

- T extends object
- K extends (keyof typeof extendSchema.shape)[]

- Defined in jamespot-user-api/src/types/withExtensions.ts:14